<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="it">
<head>
<!-- Generated by javadoc (1.8.0_152-release) on Tue May 29 23:57:00 CEST 2018 -->
<title>Match</title>
<meta name="date" content="2018-05-29">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Match";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10,"i44":10,"i45":10,"i46":10,"i47":10,"i48":10,"i49":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Match.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?danielepani/it/filigheddutapper/match/Match.html" target="_top">Frames</a></li>
<li><a href="Match.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">danielepani.it.filigheddutapper.match</div>
<h2 title="Class Match" class="title">Class Match</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>danielepani.it.filigheddutapper.match.Match</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">Match</span>
extends java.lang.Object</pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#Match-int-int-">Match</a></span>(int&nbsp;enemyInitialHp,
     int&nbsp;playerInitialHp)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#Match-java.lang.String-int-int-">Match</a></span>(java.lang.String&nbsp;playerName,
     int&nbsp;enemyInitialHp,
     int&nbsp;playerInitialHp)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#enemyAttack--">enemyAttack</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getEnemyAttackPower--">getEnemyAttackPower</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getEnemyFaceDrawableId--">getEnemyFaceDrawableId</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getEnemyInitialAttackPower--">getEnemyInitialAttackPower</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getEnemyInitialHp--">getEnemyInitialHp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getEnemyRemainingHp--">getEnemyRemainingHp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getMinersNumber--">getMinersNumber</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getMinersPower--">getMinersPower</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getMinionsNumber--">getMinionsNumber</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getMinionsPower--">getMinionsPower</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getMoney--">getMoney</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getMoneyFromMiners--">getMoneyFromMiners</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getMoneyPerTick--">getMoneyPerTick</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getOneMiner-android.content.Context-">getOneMiner</a></span>(android.content.Context&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getOneMinion-android.content.Context-">getOneMinion</a></span>(android.content.Context&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getPlayerInitialHp--">getPlayerInitialHp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getPlayerName--">getPlayerName</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getPlayerRemainingHp--">getPlayerRemainingHp</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getPlayerSwordPower--">getPlayerSwordPower</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getScore--">getScore</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#getStep--">getStep</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#improveEarnings-android.content.Context-">improveEarnings</a></span>(android.content.Context&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#increaseMinersPower-android.content.Context-">increaseMinersPower</a></span>(android.content.Context&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#increaseMinionPower-android.content.Context-">increaseMinionPower</a></span>(android.content.Context&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#isEnemyAlive--">isEnemyAlive</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#isPlayerAlive--">isPlayerAlive</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#minionsAttack--">minionsAttack</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#nextStep--">nextStep</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#playerAttack--">playerAttack</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#powerSwordUp-android.content.Context-">powerSwordUp</a></span>(android.content.Context&nbsp;context)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#reinitializePlayer--">reinitializePlayer</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setEnemyAttackPower-int-">setEnemyAttackPower</a></span>(int&nbsp;enemyAttackPower)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setEnemyFaceDrawableId-int-">setEnemyFaceDrawableId</a></span>(int&nbsp;enemyFaceDrawableId)</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setEnemyInitialAttackPower-int-">setEnemyInitialAttackPower</a></span>(int&nbsp;enemyInitialAttackPower)</code>&nbsp;</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setEnemyInitialHp-int-">setEnemyInitialHp</a></span>(int&nbsp;enemyInitialHp)</code>&nbsp;</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setEnemyRemainingHp-int-">setEnemyRemainingHp</a></span>(int&nbsp;enemyRemainingHp)</code>&nbsp;</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setImproveEarningsCost-int-">setImproveEarningsCost</a></span>(int&nbsp;improveEarningsCost)</code>&nbsp;</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setMinersNumber-int-">setMinersNumber</a></span>(int&nbsp;minersNumber)</code>&nbsp;</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setMinersPower-int-">setMinersPower</a></span>(int&nbsp;minersPower)</code>&nbsp;</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setMinionsNumber-int-">setMinionsNumber</a></span>(int&nbsp;minionsNumber)</code>&nbsp;</td>
</tr>
<tr id="i40" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setMinionsPower-int-">setMinionsPower</a></span>(int&nbsp;minionsPower)</code>&nbsp;</td>
</tr>
<tr id="i41" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setMoney-int-">setMoney</a></span>(int&nbsp;money)</code>&nbsp;</td>
</tr>
<tr id="i42" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setMoneyPerTick-int-">setMoneyPerTick</a></span>(int&nbsp;moneyPerTick)</code>&nbsp;</td>
</tr>
<tr id="i43" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setPlayerInitialHp-int-">setPlayerInitialHp</a></span>(int&nbsp;playerInitialHp)</code>&nbsp;</td>
</tr>
<tr id="i44" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setPlayerName-java.lang.String-">setPlayerName</a></span>(java.lang.String&nbsp;playerName)</code>&nbsp;</td>
</tr>
<tr id="i45" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setPlayerRemainingHp-int-">setPlayerRemainingHp</a></span>(int&nbsp;playerRemainingHp)</code>&nbsp;</td>
</tr>
<tr id="i46" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setPlayerSwordPower-int-">setPlayerSwordPower</a></span>(int&nbsp;playerSwordPower)</code>&nbsp;</td>
</tr>
<tr id="i47" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setScore-int-">setScore</a></span>(int&nbsp;score)</code>&nbsp;</td>
</tr>
<tr id="i48" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#setStep-int-">setStep</a></span>(int&nbsp;step)</code>&nbsp;</td>
</tr>
<tr id="i49" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../danielepani/it/filigheddutapper/match/Match.html#workHard--">workHard</a></span>()</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Match-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>Match</h4>
<pre>public&nbsp;Match(int&nbsp;enemyInitialHp,
             int&nbsp;playerInitialHp)</pre>
</li>
</ul>
<a name="Match-java.lang.String-int-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Match</h4>
<pre>public&nbsp;Match(java.lang.String&nbsp;playerName,
             int&nbsp;enemyInitialHp,
             int&nbsp;playerInitialHp)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="enemyAttack--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>enemyAttack</h4>
<pre>public&nbsp;void&nbsp;enemyAttack()</pre>
</li>
</ul>
<a name="getEnemyAttackPower--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnemyAttackPower</h4>
<pre>public&nbsp;int&nbsp;getEnemyAttackPower()</pre>
</li>
</ul>
<a name="getEnemyFaceDrawableId--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnemyFaceDrawableId</h4>
<pre>public&nbsp;int&nbsp;getEnemyFaceDrawableId()</pre>
</li>
</ul>
<a name="getEnemyInitialAttackPower--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnemyInitialAttackPower</h4>
<pre>public&nbsp;int&nbsp;getEnemyInitialAttackPower()</pre>
</li>
</ul>
<a name="getEnemyInitialHp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnemyInitialHp</h4>
<pre>public&nbsp;int&nbsp;getEnemyInitialHp()</pre>
</li>
</ul>
<a name="getEnemyRemainingHp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEnemyRemainingHp</h4>
<pre>public&nbsp;int&nbsp;getEnemyRemainingHp()</pre>
</li>
</ul>
<a name="getMinersNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinersNumber</h4>
<pre>public&nbsp;int&nbsp;getMinersNumber()</pre>
</li>
</ul>
<a name="getMinersPower--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinersPower</h4>
<pre>public&nbsp;int&nbsp;getMinersPower()</pre>
</li>
</ul>
<a name="getMinionsNumber--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinionsNumber</h4>
<pre>public&nbsp;int&nbsp;getMinionsNumber()</pre>
</li>
</ul>
<a name="getMinionsPower--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMinionsPower</h4>
<pre>public&nbsp;int&nbsp;getMinionsPower()</pre>
</li>
</ul>
<a name="getMoney--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoney</h4>
<pre>public&nbsp;int&nbsp;getMoney()</pre>
</li>
</ul>
<a name="getMoneyFromMiners--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoneyFromMiners</h4>
<pre>public&nbsp;void&nbsp;getMoneyFromMiners()</pre>
</li>
</ul>
<a name="getMoneyPerTick--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getMoneyPerTick</h4>
<pre>public&nbsp;int&nbsp;getMoneyPerTick()</pre>
</li>
</ul>
<a name="getOneMiner-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOneMiner</h4>
<pre>public&nbsp;void&nbsp;getOneMiner(android.content.Context&nbsp;context)</pre>
</li>
</ul>
<a name="getOneMinion-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOneMinion</h4>
<pre>public&nbsp;void&nbsp;getOneMinion(android.content.Context&nbsp;context)</pre>
</li>
</ul>
<a name="getPlayerInitialHp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayerInitialHp</h4>
<pre>public&nbsp;int&nbsp;getPlayerInitialHp()</pre>
</li>
</ul>
<a name="getPlayerName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayerName</h4>
<pre>public&nbsp;java.lang.String&nbsp;getPlayerName()</pre>
</li>
</ul>
<a name="getPlayerRemainingHp--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayerRemainingHp</h4>
<pre>public&nbsp;int&nbsp;getPlayerRemainingHp()</pre>
</li>
</ul>
<a name="getPlayerSwordPower--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPlayerSwordPower</h4>
<pre>public&nbsp;int&nbsp;getPlayerSwordPower()</pre>
</li>
</ul>
<a name="getScore--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScore</h4>
<pre>public&nbsp;int&nbsp;getScore()</pre>
</li>
</ul>
<a name="getStep--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getStep</h4>
<pre>public&nbsp;int&nbsp;getStep()</pre>
</li>
</ul>
<a name="improveEarnings-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>improveEarnings</h4>
<pre>public&nbsp;void&nbsp;improveEarnings(android.content.Context&nbsp;context)</pre>
</li>
</ul>
<a name="increaseMinersPower-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>increaseMinersPower</h4>
<pre>public&nbsp;void&nbsp;increaseMinersPower(android.content.Context&nbsp;context)</pre>
</li>
</ul>
<a name="increaseMinionPower-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>increaseMinionPower</h4>
<pre>public&nbsp;void&nbsp;increaseMinionPower(android.content.Context&nbsp;context)</pre>
</li>
</ul>
<a name="isEnemyAlive--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isEnemyAlive</h4>
<pre>public&nbsp;boolean&nbsp;isEnemyAlive()</pre>
</li>
</ul>
<a name="isPlayerAlive--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isPlayerAlive</h4>
<pre>public&nbsp;boolean&nbsp;isPlayerAlive()</pre>
</li>
</ul>
<a name="minionsAttack--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>minionsAttack</h4>
<pre>public&nbsp;void&nbsp;minionsAttack()</pre>
</li>
</ul>
<a name="nextStep--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nextStep</h4>
<pre>public&nbsp;void&nbsp;nextStep()</pre>
</li>
</ul>
<a name="playerAttack--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>playerAttack</h4>
<pre>public&nbsp;void&nbsp;playerAttack()</pre>
</li>
</ul>
<a name="powerSwordUp-android.content.Context-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>powerSwordUp</h4>
<pre>public&nbsp;void&nbsp;powerSwordUp(android.content.Context&nbsp;context)</pre>
</li>
</ul>
<a name="reinitializePlayer--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reinitializePlayer</h4>
<pre>public&nbsp;void&nbsp;reinitializePlayer()</pre>
</li>
</ul>
<a name="setEnemyAttackPower-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnemyAttackPower</h4>
<pre>public&nbsp;void&nbsp;setEnemyAttackPower(int&nbsp;enemyAttackPower)</pre>
</li>
</ul>
<a name="setEnemyFaceDrawableId-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnemyFaceDrawableId</h4>
<pre>public&nbsp;void&nbsp;setEnemyFaceDrawableId(int&nbsp;enemyFaceDrawableId)</pre>
</li>
</ul>
<a name="setEnemyInitialAttackPower-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnemyInitialAttackPower</h4>
<pre>public&nbsp;void&nbsp;setEnemyInitialAttackPower(int&nbsp;enemyInitialAttackPower)</pre>
</li>
</ul>
<a name="setEnemyInitialHp-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnemyInitialHp</h4>
<pre>public&nbsp;void&nbsp;setEnemyInitialHp(int&nbsp;enemyInitialHp)</pre>
</li>
</ul>
<a name="setEnemyRemainingHp-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEnemyRemainingHp</h4>
<pre>public&nbsp;void&nbsp;setEnemyRemainingHp(int&nbsp;enemyRemainingHp)</pre>
</li>
</ul>
<a name="setImproveEarningsCost-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setImproveEarningsCost</h4>
<pre>public&nbsp;void&nbsp;setImproveEarningsCost(int&nbsp;improveEarningsCost)</pre>
</li>
</ul>
<a name="setMinersNumber-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinersNumber</h4>
<pre>public&nbsp;void&nbsp;setMinersNumber(int&nbsp;minersNumber)</pre>
</li>
</ul>
<a name="setMinersPower-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinersPower</h4>
<pre>public&nbsp;void&nbsp;setMinersPower(int&nbsp;minersPower)</pre>
</li>
</ul>
<a name="setMinionsNumber-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinionsNumber</h4>
<pre>public&nbsp;void&nbsp;setMinionsNumber(int&nbsp;minionsNumber)</pre>
</li>
</ul>
<a name="setMinionsPower-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMinionsPower</h4>
<pre>public&nbsp;void&nbsp;setMinionsPower(int&nbsp;minionsPower)</pre>
</li>
</ul>
<a name="setMoney-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMoney</h4>
<pre>public&nbsp;void&nbsp;setMoney(int&nbsp;money)</pre>
</li>
</ul>
<a name="setMoneyPerTick-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setMoneyPerTick</h4>
<pre>public&nbsp;void&nbsp;setMoneyPerTick(int&nbsp;moneyPerTick)</pre>
</li>
</ul>
<a name="setPlayerInitialHp-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayerInitialHp</h4>
<pre>public&nbsp;void&nbsp;setPlayerInitialHp(int&nbsp;playerInitialHp)</pre>
</li>
</ul>
<a name="setPlayerName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayerName</h4>
<pre>public&nbsp;void&nbsp;setPlayerName(java.lang.String&nbsp;playerName)</pre>
</li>
</ul>
<a name="setPlayerRemainingHp-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayerRemainingHp</h4>
<pre>public&nbsp;void&nbsp;setPlayerRemainingHp(int&nbsp;playerRemainingHp)</pre>
</li>
</ul>
<a name="setPlayerSwordPower-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPlayerSwordPower</h4>
<pre>public&nbsp;void&nbsp;setPlayerSwordPower(int&nbsp;playerSwordPower)</pre>
</li>
</ul>
<a name="setScore-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setScore</h4>
<pre>public&nbsp;void&nbsp;setScore(int&nbsp;score)</pre>
</li>
</ul>
<a name="setStep-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStep</h4>
<pre>public&nbsp;void&nbsp;setStep(int&nbsp;step)</pre>
</li>
</ul>
<a name="workHard--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>workHard</h4>
<pre>public&nbsp;void&nbsp;workHard()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/Match.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../index.html?danielepani/it/filigheddutapper/match/Match.html" target="_top">Frames</a></li>
<li><a href="Match.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
